org.apache.ignite.internal.processors.cache.transactions

## Interface IgniteTxRemoteEx

All Superinterfaces:
  IgniteInternalTx

All Known Implementing Classes:
  GridDhtTxRemote, GridDistributedTxRemoteAdapter, GridNearTxRemote

    public interface IgniteTxRemoteEx
    extends IgniteInternalTx

Local transaction API.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.ignite.internal.processors.cache.transactions.IgniteInternalTx

`IgniteInternalTx.FinalizationStatus`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `commitRemoteTx()`
`void` `doneRemote(GridCacheVersion baseVer, Collection<GridCacheVersion> committedVers, Collection<GridCacheVersion> rolledbackVers, Collection<GridCacheVersion> pendingVers)`
`void` `rollbackRemoteTx()`
`void` `setPartitionUpdateCounters(long[] cntrs)`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.transactions.IgniteInternalTx

`activeCachesDeploymentEnabled, addInvalidPartition, addMeta, allEntries, alternateVersions, colocated, commitAsync, commitError, commitVersion, commitVersion, completedVersions, concurrency, currentPrepareFuture, dht, done, empty, endVersion, entry, errorWhenCommitting, eventNodeId, finishFuture, hasWriteKey, implicit, implicitSingle, internal, invalidate, invalidPartitions, ioPolicy, isInvalidate, isolation, isRollbackOnly, isSystemInvalidate, local, localResult, markFinalizing, masterNodeIds, meta, near, nearXidVersion, needsCompletedVersions, nodeId, onePhaseCommit, onOwnerChanged, optimistic, optimisticLockEntries, originatingNodeId, otherNodeId, ownedVersion, ownsLock, ownsLockUnsafe, peek, pessimistic, readCommitted, readEntries, readMap, readSet, remainingTime, removeMeta, repeatableRead, rollbackAsync, salvageTx, seal, serializable, setRollbackOnly, size, startTime, state, state, storeEnabled, storeWriteThrough, subjectId, system, systemInvalidate, taskNameHash, threadId, timedOut, timeout, timeout, topologyVersion, topologyVersion, topologyVersionSnapshot, transactionNodes, txState, user, writeEntries, writeMap, writeSet, writeVersion, writeVersion, xid, xidVersion`

### Method Detail

#### commitRemoteTx

    void commitRemoteTx()
                 throws IgniteCheckedException

Throws:
  `IgniteCheckedException` - If failed.

#### rollbackRemoteTx

    void rollbackRemoteTx()

#### doneRemote

    void doneRemote(GridCacheVersion baseVer,
                    Collection<GridCacheVersion> committedVers,
                    Collection<GridCacheVersion> rolledbackVers,
                    Collection<GridCacheVersion> pendingVers)

Parameters:
  `baseVer` - Base version.
  `committedVers` - Committed version.
  `rolledbackVers` - Rolled back version.
  `pendingVers` - Pending versions.

#### setPartitionUpdateCounters

    void setPartitionUpdateCounters(long[] cntrs)

Parameters:
  `cntrs` - Partition update indexes.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018